Name:		linuxconsoletools
Version:	1.6.0
Release:	%mkrel 1
Summary:	Tools for connecting joysticks & legacy devices to the kernel's input subsystem
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://sourceforge.net/projects/linuxconsole/
Source:		http://downloads.sourceforge.net/linuxconsole/%{name}-%{version}.tar.bz2
BuildRequires:	SDL-devel
Obsoletes:	input-utils < %version
Provides:	input-utils = %version

%description
This package contains utilities for testing and configuring joysticks,
connecting legacy devices to the kernel's input subsystem (providing support
for serial mice, touchscreens etc.), and test the input event layer.

%prep
%setup -q

%build
%make_build

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
sed -i "s|%{_prefix}/share/joystick|%{_libexecdir}/joystick|g" utils/jscal-restore utils/jscal-store

%install
%make_install PREFIX=%{_prefix}

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
install -d -m 0755 %{buildroot}%{_libexecdir}/joystick
mv -f %{buildroot}%{_prefix}/share/joystick/* %{buildroot}%{_libexecdir}/joystick/

%files
%doc COPYING README NEWS
%{_bindir}/*
%{_libexecdir}/joystick/*
%{_mandir}/man1/*
/lib/udev/js-set-enum-leds
/lib/udev/rules.d/80-stelladaptor-joystick.rules


%changelog
* Wed Apr 26 2017 akien <akien> 1.6.0-1.mga6
+ Revision: 1097419
- Version 1.6.0

* Mon Jan 25 2016 akien <akien> 1.4.9-1.mga6
+ Revision: 927562
- Version 1.4.9

* Sun Jun 21 2015 tv <tv> 1.4.8-1.mga6
+ Revision: 837990
- adjust file list
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.4.7-5.mga5
+ Revision: 746897
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.4.7-4.mga5
+ Revision: 725104
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.7-3.mga5
+ Revision: 681951
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 tv <tv> 1.4.7-2.mga5
+ Revision: 601260
- obsoletes input-utils

* Sat Mar 08 2014 tv <tv> 1.4.7-1.mga5
+ Revision: 601252
- imported package linuxconsoletools

